# Get-RASPubItemFilter.md

## NAME

Get-RASPubItemFilter

## SYNOPSIS

Retrieves information about a published resource filter.

## SYNTAX

**Get-RASPubItemFilter** \[\[-[Id](#id-string)] *(uint)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASPubItemFilter** \[[Name](#name-string)] *(string)* \[-[Parent](#Parent) *(*[*PubFolder*](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubfolder)*)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves information about a published resource filter.

## PARAMETERS

## Name (string)

Published resource name.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Parent ([PubFolder](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubfolder))

Published resource parent folder.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## Id (uint)

Published resource ID.

```
        Required?                    false

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[PubFolder](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubfolder)

## OUTPUTS

[PubItemFilter](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubitemfilter)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASPubItemFilter "My app"

Retrieves the information about a filter from a published resource specified by name.\
\*\*---------- EXAMPLE 2 ----------

Get-RASPubItemFilter -Id 11

Retrieves the information about a filter from a published resource specified by ID.

## RELATED LINKS

* [Get-RASPubItem](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubitem)
* [Set-RASPubItem](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raspubitem)
* [Remove-RASPubItem](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-raspubitem)
* [Get-RASPubItemIcon](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubitemicon)
* [Set-RASPubItemFilter](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raspubitemfilter)
* [Get-RASRule](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasrule)
* [Get-RASCriteria](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rascriteria)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubitemfilter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
